declare const _default: import("vue").DefineComponent<{
    batchEnable?: any;
    batchDisable?: any;
    search?: any;
    searchText?: any;
    disabled?: any;
}, {
    translateValueByKey: <T extends import("@oinone/kunlun-shared").StandardString>(key: import("@oinone/kunlun-shared").GenericType<T>) => import("@oinone/kunlun-shared").GenericReturnType<T, string>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{
    batchEnable?: any;
    batchDisable?: any;
    search?: any;
    searchText?: any;
    disabled?: any;
}> & Readonly<{}>, {}, {}, {
    OioButton: any;
    OioInputSearch: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
